Subject: Re: bug#19796: 25.0.50; Regression: highlight-lines-matching-regexp can't re-highlight the same string
From: Stefan Monnier <[email-masked]>
To: Dima Kogan <[email-masked]>
Cc: [email-masked]
Date: Wed, 11 Feb 2015 16:41:41 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> 1. seq 1000 > /tmp/dat
> 2. emacs -Q /tmp/dat
> 3. M-s h l 7       (highlight all lines matching "7")
> 4. M-s h u [enter] (un-highlight the default, "7" in this case)
> 5. M-s h l 7       (highlight all lines matching "7" again)

> After that commit, nothing is highlighted anymore

Yuck, the old behavior looked right but was subtly wrong (the
highlighting at step 5 was done via font-lock whereas it was done with
overlays at step 3), and the recent change made the difference "more
visible" ;-)

The real problem is in font-lock, I think, but I don't have the courage
to fix it now, so I've installed a workaround that I hope will be sufficient.

        Stefan